hdcp22_rx_dp: XHdcp22_Rx_Info Struct Reference

| hdcp22_rx_dp Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List

- Data Structures
- Data Fields

Data Fields
XHdcp22_Rx_Info Struct Reference
Hdcp22_rx_v2_2

This typedef provides information about status of HDCP-RX authentication. More...

## Data Fields
u8 | IsEnabled
| Flag indicates that device is enabled. More...
u8 | IsNoStoredKm
| Flag indicates that AKE_No_Stored_Km message was received. More...
u16 | LCInitAttempts
| Number of LC_Init attempts. More...
u8 | ReauthReq
| Reauthentication request flag. More...
u8 | TopologyReady
| Topology ready flag. More...
u32 | ErrorFlag
| Flag to capture error events that require service. More...
u32 | ErrorFlagSticky
| Flag to capture all error conditions persistently. More...
u32 | DdcFlag
| Flag to capture DDC events. More...
u32 | DpcdFlag
| Flag to capture DPCD events. More...
u8 | TimerExpired
| Expiration flag set when the hardware timer has interrupted. More...
u8 | TimerReasonId
| Keep track of why the timer was started (message or status checking). More...
u32 | TimerInitialTicks
| Keep track of the start value of the timer. More...
u32 | SeqNumV
| Counter for repeater topology upstream propogation. More...
u8 | HasStreamManagementInfo
| Flag indicated that content stream management info messsage has been processed. More...
XHdcp22_Rx_StateType | CurrentState
| State machine current state. More...
XHdcp22_Rx_StateType | NextState
| State machine next state. More...
XHdcp22_Rx_StateType | ReturnState
| State machine return state. More...
XHdcp22_Rx_AuthenticationType | AuthenticationStatus
| Authentication status. More...
u8 | SkipRead
| Skip read, indicates that message has been read but not yet processed. More...
u8 | IsTopologyValid
| Flag used to indicate topology change. More...
u8 | IsEncrypted
| Flag indicates encryption is enabled. More...
u32 | AuthRequestCnt
| Authentication request count. More...
u32 | ReauthRequestCnt
| Re-authentication request count. More...
u32 | LinkErrorCnt
| Link error count. More...
u32 | DdcErrorCnt
| Ddc error count. More...

## Detailed Description

This typedef provides information about status of HDCP-RX authentication.

## Field Documentation

XHdcp22_Rx_AuthenticationType XHdcp22_Rx_Info::AuthenticationStatus

Authentication status.

Referenced by XHdcp22Rx_CfgInitialize(), XHdcp22Rx_Disable(), XHdcp22Rx_Info(), XHdcp22Rx_IsAuthenticated(), XHdcp22Rx_IsInProgress(), XHdcp22Rx_Poll(), and XHdcp22Rx_Reset().

u32 XHdcp22_Rx_Info::AuthRequestCnt

Authentication request count.

Referenced by XHdcp22Rx_CfgInitialize(), XHdcp22Rx_Info(), and XHdcp22Rx_Reset().

XHdcp22_Rx_StateType XHdcp22_Rx_Info::CurrentState

State machine current state.

Referenced by XHdcp22Rx_CfgInitialize(), XHdcp22Rx_Poll(), and XHdcp22Rx_Reset().

u32 XHdcp22_Rx_Info::DdcErrorCnt

Ddc error count.

Referenced by XHdcp22Rx_CfgInitialize(), XHdcp22Rx_Info(), XHdcp22Rx_Reset(), and XHdcp22Rx_SetDdcError().

u32 XHdcp22_Rx_Info::DdcFlag

Flag to capture DDC events.

Referenced by XHdcp22Rx_SetReadMessageComplete(), and XHdcp22Rx_SetWriteMessageAvailable().

u32 XHdcp22_Rx_Info::DpcdFlag

Flag to capture DPCD events.

Referenced by XHdcp22Rx_SetDpcdMsgRdWrtAvailable().

u32 XHdcp22_Rx_Info::ErrorFlag

Flag to capture error events that require service.

Referenced by XHdcp22Rx_CfgInitialize(), XHdcp22Rx_Reset(), XHdcp22Rx_SetDdcError(), and XHdcp22Rx_SetLinkError().

u32 XHdcp22_Rx_Info::ErrorFlagSticky

Flag to capture all error conditions persistently.

Referenced by XHdcp22Rx_CfgInitialize(), XHdcp22Rx_IsError(), XHdcp22Rx_LogWr(), and XHdcp22Rx_Reset().

u8 XHdcp22_Rx_Info::HasStreamManagementInfo

Flag indicated that content stream management info messsage has been processed.

Referenced by XHdcp22Rx_CfgInitialize(), and XHdcp22Rx_Reset().

u8 XHdcp22_Rx_Info::IsEnabled

Flag indicates that device is enabled.

Referenced by XHdcp22Rx_CfgInitialize(), XHdcp22Rx_Disable(), XHdcp22Rx_Enable(), XHdcp22Rx_IsEnabled(), and XHdcp22Rx_Poll().

u8 XHdcp22_Rx_Info::IsEncrypted

Flag indicates encryption is enabled.

Referenced by XHdcp22Rx_CfgInitialize(), and XHdcp22Rx_Reset().

u8 XHdcp22_Rx_Info::IsNoStoredKm

Flag indicates that AKE_No_Stored_Km message was received.

Referenced by XHdcp22Rx_CfgInitialize(), and XHdcp22Rx_Reset().

u8 XHdcp22_Rx_Info::IsTopologyValid

Flag used to indicate topology change.

When set to one, indicates that the topology table has been updated and is available for upstream propagation.

Referenced by XHdcp22Rx_CfgInitialize(), XHdcp22Rx_Reset(), and XHdcp22Rx_SetTopologyUpdate().

u16 XHdcp22_Rx_Info::LCInitAttempts

Number of LC_Init attempts.

Referenced by XHdcp22Rx_CfgInitialize(), and XHdcp22Rx_Reset().

u32 XHdcp22_Rx_Info::LinkErrorCnt

Link error count.

Referenced by XHdcp22Rx_CfgInitialize(), XHdcp22Rx_Info(), XHdcp22Rx_Reset(), and XHdcp22Rx_SetLinkError().

XHdcp22_Rx_StateType XHdcp22_Rx_Info::NextState

State machine next state.

Referenced by XHdcp22Rx_CfgInitialize(), XHdcp22Rx_Poll(), and XHdcp22Rx_Reset().

u8 XHdcp22_Rx_Info::ReauthReq

Reauthentication request flag.

Referenced by XHdcp22Rx_CfgInitialize(), and XHdcp22Rx_Reset().

u32 XHdcp22_Rx_Info::ReauthRequestCnt

Re-authentication request count.

Referenced by XHdcp22Rx_CfgInitialize(), XHdcp22Rx_Info(), and XHdcp22Rx_Reset().

XHdcp22_Rx_StateType XHdcp22_Rx_Info::ReturnState

State machine return state.

Used for parallel execution of content stream management and topology information propagation

Referenced by XHdcp22Rx_CfgInitialize(), and XHdcp22Rx_Reset().

u32 XHdcp22_Rx_Info::SeqNumV

Counter for repeater topology upstream propogation.

Referenced by XHdcp22Rx_CfgInitialize(), and XHdcp22Rx_Reset().

u8 XHdcp22_Rx_Info::SkipRead

Skip read, indicates that message has been read but not yet processed.

Referenced by XHdcp22Rx_CfgInitialize(), and XHdcp22Rx_Reset().

u8 XHdcp22_Rx_Info::TimerExpired

Expiration flag set when the hardware timer has interrupted.

Referenced by XHdcp22Rx_TimerHandler().

u32 XHdcp22_Rx_Info::TimerInitialTicks

Keep track of the start value of the timer.

u8 XHdcp22_Rx_Info::TimerReasonId

Keep track of why the timer was started (message or status checking).

u8 XHdcp22_Rx_Info::TopologyReady

Topology ready flag.

Referenced by XHdcp22Rx_CfgInitialize(), and XHdcp22Rx_Reset().